Bug 206423 - extensive amount of messages in message.log kernel: drivers/usb/input/hid-core.c: control queue full
extensive amount of messages in message.log kernel: drivers/usb/input/hid-co...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-09-14 07:05 EDT by Ben van Veen
Modified: 2008-01-19 23:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:36:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben van Veen 2006-09-14 07:05:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; nl; rv: Gecko/20060728 Firefox/

Description of problem:
I noticed, since my last kernel update, that in the /var/log/messagges file only the following entries appear

Sep 14 12:52:38 gateway kernel: drivers/usb/input/hid-core.c: control queue full
Sep 14 12:53:09 gateway last message repeated 3 times
Sep 14 12:54:19 gateway last message repeated 7 times
Sep 14 12:55:29 gateway last message repeated 7 times

This is just the last bit. 

Searching I stumble uppon the following article 


	[PATCH] USB: hiddev HIDIOCGREPORT not blocking in 2.6
	I've noticed in 2.6 kernels that HIDIOCGREPORT does not wait for io
	completion before returning to the caller. This creates a few unpleasant
	issues for userspace:
	First, code sequences such as...
	        ioctl(fd, HIDIOCGREPORT, &rinfo);
	        ioctl(fd, HIDIOCGUSAGE, &uinfo);
	        ioctl(fd, HIDIOCGSTRING, &sdesc);
	...that used to work in 2.4 now fail in 2.6 if the device takes more
	than a few milliseconds to respond to HIDIOCGREPORT. (I'm seeing this
	issue on APC UPSes, FWIW.)
	Second, userspace code can easily flood the kernel with control messages
	since the kernel provides no "backpressure". The result is a lot of
	"hid-core.c: control queue full" errors and lost reports.
	2.6 hid-core.c appears to submit the request and return immediately.
	Although the 2.4 code differs significantly, I traced the call path to
	usb-core.c, which seems to block with a timeout, so the code supports my
	userspace observation. (Assuming I didn't misread it.)

>>>> So, Is this an bug that re-cycles ?  <<<<

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start my Server 
2. wait a few seconde
3. notice the log entry

Actual Results:

Expected Results:

Additional info:
Comment 1 Ben van Veen 2006-09-19 06:50:03 EDT

Changed cable position from USB 2-2 to USB 1-2. Logging stopped. 

Sep 18 15:17:37 gateway last message repeated 2 times
Sep 18 15:17:39 gateway kernel: usb 2-2: USB disconnect, address 2
Sep 18 15:18:20 gateway apcupsd[25612]: Communications with UPS lost.
Sep 18 15:18:20 gateway wall[17131]: wall: user root broadcasted 1 lines (46 chars)
Sep 18 15:18:49 gateway kernel: usb 1-2: new low speed USB device using uhci_hcd
and address 2
Sep 18 15:18:49 gateway kernel: usb 1-2: configuration #1 chosen from 1 choice
Sep 18 15:18:51 gateway kernel: hiddev96: USB HID v1.10 Device [American Power
Conversion Smart-UPS 1000 F
W:600.3.I USB FW:1.5] on usb-0000:00:10.0-2
Sep 18 15:18:55 gateway apcupsd[25612]: Communications with UPS restored.
Sep 18 15:18:56 gateway wall[17163]: wall: user root broadcasted 1 lines (42 chars)
Sep 18 15:18:58 gateway apcupsd[25612]: Battery reattached.
Comment 2 Dave Jones 2006-10-16 16:04:28 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:36:44 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.